# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit games eutils

MY_PN="gr"
MY_PV="${PV//./_}"

DESCRIPTION="Guns, Guns, Guns! 360-degree gunboat shooter, 'Gunroar'"
HOMEPAGE="http://www.asahi-net.or.jp/~cs8k-cyu/windows/gr_e.html"
SRC_URI="http://www.asahi-net.or.jp/~cs8k-cyu/windows/${MY_PN}${MY_PV}.zip"

LICENSE="BSD"
SLOT="0"
KEYWORDS="x86"

DEPEND="dev-lang/dmd-bin
	media-libs/sdl-d
	media-libs/opengl-d"

S="${WORKDIR}/${MY_PN}"

src_unpack(){
	unpack ${A}
	epatch ${FILESDIR}/${P}-gentoo.patch
}

src_compile() {
	emake || die
}

src_install() {
	dogamesbin ${PN}

	local datadir=${GAMES_DATADIR}/${PN}
	dodir ${datadir}
	cp -r images sounds ${D}/${datadir}

	dodoc readme*
	prepgamesdirs
}

pkg_postinst() {
	local statedir=${GAMES_STATEDIR}/${PN}

	if [ ! -d ${statedir} ]; then
		mkdir -p ${statedir}
		chmod ug+rw ${statedir}
	fi

	if [ ! -d ${statedir}/replay ]; then
		mkdir -p ${statedir}/replay
		chmod ug+rw ${statedir}/replay
	fi

	if [ ! -e ${statedir}/${PN}.prf ]; then
		touch ${statedir}/${PN}.prf
		chmod ug+rw ${statedir}/${PN}.prf
	fi
}
